{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Daftar Kegiatan</title>
<style>
    html{
        text-align: center;
        color: white;
        font-family: 'Rubik', sans-serif;
    }
    .lst{
        margin-left: 5vmax;
        margin-right: 5vmax;
        line-height: 2cm;
        background-color: crimson;
        color: black;
    }
    h2{
        font-size: 2vmax;
    }
    h3{
        line-height: 1cm;
    }
    .button{
        background-color: crimson;
        color: black;
        padding: 1vmax 1vmax;
        text-decoration: none;
        font-weight: bolder;
        margin: 1cm;
    }
    p{
        margin-top: 2cm;
        margin-bottom: 2cm;
    }
</style>

{% endblock meta %}

{% block content %}
    <div class="navigation">
        <ul class="nav justify-content-start">
            <h1>Daftar Kegiatan</h1>
        </ul>
    </div>
    <div class="container">
        <h2>Daftar Kegiatan:</h2>
        <form method="POST">
            {% for daftar in obj %}

                <div class="lst">
                    <h2>{{ daftar.activity }}</h2>
                    {% for i in daftar.peserta %}
                        <h3>{{ i.participant }}</h3>
                    {% endfor %}
                    <a href="{% url 'Story6:peserta' daftar.id %}" class="button">Tambah Peserta</a></td>
                </div>     
            {% endfor %}
            <br>   
            <p><a href="{% url 'Story6:isikegiatan' %}" class="button">Tambah Kegiatan</a></p>
        </form>
    </div>
    
{% endblock content %}
